GeeCON Prague 2014*
The moose likes JBoss/WildFly and the fly likes Move from JBoss 3.2.3 to JBoss 4 problem. Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


JavaRanch » Java Forums » Products » JBoss/WildFly
Bookmark "Move from JBoss 3.2.3 to JBoss 4 problem." Watch "Move from JBoss 3.2.3 to JBoss 4 problem." New topic
Author

Move from JBoss 3.2.3 to JBoss 4 problem.

Bjorn Stove
Greenhorn

Joined: Jan 08, 2005
Posts: 19
Hi!
I have an application that runs fine in JBoss-3.2.3.
The application is deployed in war file and an ejb-jar.jar file
When I deploy and run it in JBoss-4.0.4.GA I get an Error:
org.apache.jasper.JasperException: /user/ListSMSOrders.jsp(13,0) The value for the useBean class attribute argus.web.bean.ListSMSOrders is invalid.

My jsp files doesnt work as expected.
I have tried to read the wiki files on the subjekt but there must be
something I dont get.
Any input on the subject is welcome.
I know the class loading is quite different in JBoss 4.
But is there a small change in a xml file that will do the trick?
Thanks!
Bjorn
Dave Salter
Ranch Hand

Joined: Jul 20, 2005
Posts: 292

Does this document help?

http://wiki.jboss.org/wiki/Wiki.jsp?page=ClassLoadingConfiguration
 
GeeCON Prague 2014
 
subject: Move from JBoss 3.2.3 to JBoss 4 problem.